
QGIS Application - Bug report #8825

OpenLayers plugin print bug

2013-10-11 12:43 PM - Mikhail Tchernychev

Status: Closed

Priority: Normal

Assignee:

Category:

Affected QGIS version:2.0.1 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: duplicate

Crashes QGIS or corrupts data:No Copied to github as #: 17518

Description

While using OpenStreet layers with print composer and projection different from

Pseudo Merkator (EPSG 3857 ) layers are misplaced in PDF output.

Here is how to reproduce the problem.

1. Load costline.shp file, set project projection as WGS UTM zone 17

2. Add OpenStreet layer (any)

3. Make sure that project CRS is still set to UTM (EPSG 3261).

4. Go to print composer.  Everything looks good.

5. Make PDF file. Note that SHP coastline is shifted considerably.

OpenStreet plugin is very useful, but EPSG 3261 is not really

production projection.

Thank you very much,

Mikhail

Related issues:

Duplicates QGIS Application - Bug report # 8824: Exported image from OpenLaye... Closed 2013-10-11

History

#1 - 2013-10-11 12:49 PM - Mikhail Titov

I think it is a duplicate of #8824 that I filed just before.

#2 - 2013-10-11 12:53 PM - Mikhail Tchernychev

- File coastline.zip added

Yes it is duplicate. We were writing it at the same time..

I updated my example file because it turns out I did not save SHP...

#3 - 2013-10-12 01:50 AM - Alexander Bruy

- Resolution set to duplicate

- Status changed from Open to Closed
Duplicate #8824

Files

coastline.zip 2.5 MB 2013-10-11 Mikhail Tchernychev

coastline.zip 2.5 MB 2013-10-11 Mikhail Tchernychev
